Page MenuHomePhabricator

Q4 personal goal: Facilitate deployment of VisualEditor at Phase 6 wikis
Closed, ResolvedPublic0 Story Points

Description

At Phase 6 wikis,
check that VisualEditor's project pages exist (if they don't, create a redirect to mediawiki.org's VE portal that communities will overwrite if and when they want);
check if local feedback pages exist (related to this task);
make a test edit (to make sure no particular site settings are preventing VE to be loaded and working correctly).

Event Timeline

Elitre created this task.Apr 19 2015, 9:07 AM
Elitre raised the priority of this task from to Needs Triage.
Elitre updated the task description. (Show Details)
Elitre added a subscriber: Elitre.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 19 2015, 9:07 AM
Elitre claimed this task.Dec 15 2015, 6:34 PM

As for other cases, this is actually an effort by multiple people, but I'm working around Phab limitations.

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptDec 15 2015, 6:34 PM

Is this Phase 6 expected to start during this quarter?

Is this Phase 6 expected to start during this quarter?

mw:VisualEditor#History currently says "TBC" for a Phase 6 date.

Is this Phase 6 expected to start during this quarter?

It started last quarter, and continues this quarter.

Elitre added a comment.Feb 2 2016, 8:42 AM

Phase 6.1 was completed on Feb 1st.

Elitre added a comment.Feb 5 2016, 6:49 PM

We just messaged the wikis at https://meta.wikimedia.org/wiki/VisualEditor/Newsletter/Phase_6_wikis to inform them that the visual editor will reach them at some point (example).

Elitre triaged this task as High priority.Feb 5 2016, 6:49 PM
Elitre set Security to None.
Elitre lowered the priority of this task from High to Low.Mar 4 2016, 6:28 PM

We may not deploy VE at any of these wikis this month.

Elitre changed the task status from Open to Stalled.Mar 21 2016, 2:33 PM

I'll make this a personal goal for the upcoming quarter.

Elitre renamed this task from Facilitate deployment of VisualEditor at Phase 6 wikis to Q4 personal goal: Facilitate deployment of VisualEditor at Phase 6 wikis.Mar 21 2016, 2:43 PM
Elitre raised the priority of this task from Low to Normal.May 2 2016, 6:32 AM
Elitre closed this task as Resolved.Jun 29 2016, 4:31 PM

Further Phase 6 wikis will be tracked on different tasks.

Jdforrester-WMF set the point value for this task to 0.Jul 8 2016, 5:47 PM